<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:08 CEST 2020 -->
<title>CHESSViewsSwitch</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CHESSViewsSwitch";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CHESSViewsSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsResourceImpl.html" title="class in org.polarsys.chess.chessmlprofile.Core.CHESSViews.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsXMLProcessor.html" title="class in org.polarsys.chess.chessmlprofile.Core.CHESSViews.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" target="_top">Frames</a></li>
<li><a href="CHESSViewsSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Core.CHESSViews.util</div>
<h2 title="Class CHESSViewsSwitch" class="title">Class CHESSViewsSwitch&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.util.Switch&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.chessmlprofile.Core.CHESSViews.util.CHESSViewsSwitch&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CHESSViewsSwitch&lt;T&gt;</span>
extends org.eclipse.emf.ecore.util.Switch&lt;T&gt;</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Switch</b> for the model's inheritance hierarchy.
 It supports the call <code>doSwitch(object)</code>
 to invoke the <code>caseXXX</code> method for each class of the model,
 starting with the actual class of the object
 and proceeding up the inheritance hierarchy
 until a non-null result is returned,
 which is the result of the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews"><code>CHESSViewsPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#CHESSViewsSwitch--">CHESSViewsSwitch</a></span>()</code>
<div class="block">Creates an instance of the switch.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#caseAnalysisView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.AnalysisView-">caseAnalysisView</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">AnalysisView</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Analysis View</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#caseComponentView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.ComponentView-">caseComponentView</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/ComponentView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">ComponentView</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Component View</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#caseDependabilityAnalysisView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.DependabilityAnalysisView-">caseDependabilityAnalysisView</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DependabilityAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">DependabilityAnalysisView</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Dependability Analysis View</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#caseDeploymentView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.DeploymentView-">caseDeploymentView</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DeploymentView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">DeploymentView</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Deployment View</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#caseExtraFunctionalView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.ExtraFunctionalView-">caseExtraFunctionalView</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/ExtraFunctionalView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">ExtraFunctionalView</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Extra Functional View</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#casePSMView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.PSMView-">casePSMView</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/PSMView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">PSMView</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>PSM View</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#caseRequirementView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.RequirementView-">caseRequirementView</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RequirementView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">RequirementView</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Requirement View</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#caseRTAnalysisView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.RTAnalysisView-">caseRTAnalysisView</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RTAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">RTAnalysisView</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>RT Analysis View</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#caseSystemView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.SystemView-">caseSystemView</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/SystemView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">SystemView</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>System View</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#caseTimingDataFlowView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.TimingDataFlowView-">caseTimingDataFlowView</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/TimingDataFlowView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">TimingDataFlowView</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timing Data Flow View</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html#defaultCase-org.eclipse.emf.ecore.EObject-">defaultCase</a></span>(org.eclipse.emf.ecore.EObject&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.util.Switch">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.util.Switch</h3>
<code>doSwitch</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CHESSViewsSwitch--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CHESSViewsSwitch</h4>
<pre>public&nbsp;CHESSViewsSwitch()</pre>
<div class="block">Creates an instance of the switch.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="caseExtraFunctionalView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.ExtraFunctionalView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseExtraFunctionalView</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&nbsp;caseExtraFunctionalView(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/ExtraFunctionalView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">ExtraFunctionalView</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Extra Functional View</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Extra Functional View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTimingDataFlowView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.TimingDataFlowView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTimingDataFlowView</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&nbsp;caseTimingDataFlowView(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/TimingDataFlowView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">TimingDataFlowView</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timing Data Flow View</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Timing Data Flow View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseRTAnalysisView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.RTAnalysisView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseRTAnalysisView</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&nbsp;caseRTAnalysisView(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RTAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">RTAnalysisView</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>RT Analysis View</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>RT Analysis View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseDeploymentView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.DeploymentView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseDeploymentView</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&nbsp;caseDeploymentView(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DeploymentView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">DeploymentView</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Deployment View</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Deployment View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseRequirementView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.RequirementView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseRequirementView</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&nbsp;caseRequirementView(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RequirementView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">RequirementView</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Requirement View</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Requirement View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseComponentView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.ComponentView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseComponentView</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&nbsp;caseComponentView(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/ComponentView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">ComponentView</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Component View</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Component View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseDependabilityAnalysisView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.DependabilityAnalysisView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseDependabilityAnalysisView</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&nbsp;caseDependabilityAnalysisView(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DependabilityAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">DependabilityAnalysisView</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Dependability Analysis View</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Dependability Analysis View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseSystemView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.SystemView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseSystemView</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&nbsp;caseSystemView(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/SystemView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">SystemView</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>System View</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>System View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="casePSMView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.PSMView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>casePSMView</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&nbsp;casePSMView(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/PSMView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">PSMView</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>PSM View</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>PSM View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseAnalysisView-org.polarsys.chess.chessmlprofile.Core.CHESSViews.AnalysisView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseAnalysisView</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&nbsp;caseAnalysisView(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">AnalysisView</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Analysis View</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Analysis View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="defaultCase-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>defaultCase</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&nbsp;defaultCase(org.eclipse.emf.ecore.EObject&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch, but this is the last case anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>defaultCase</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" title="type parameter in CHESSViewsSwitch">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>EObject</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>Switch.doSwitch(org.eclipse.emf.ecore.EObject)</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CHESSViewsSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsResourceImpl.html" title="class in org.polarsys.chess.chessmlprofile.Core.CHESSViews.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsXMLProcessor.html" title="class in org.polarsys.chess.chessmlprofile.Core.CHESSViews.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Core/CHESSViews/util/CHESSViewsSwitch.html" target="_top">Frames</a></li>
<li><a href="CHESSViewsSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
